--- gcc5.spec	2016-02-10 11:42:50.189256125 +0100
+++ gcc5.minimal.spec	2016-02-10 11:47:58.435107923 +0100
@@ -875,14 +851,15 @@
 %post -n libada5 -p /sbin/ldconfig
 
 %postun -n libada5 -p /sbin/ldconfig
+
 %package -n libada5-32bit
 Summary:        GNU Ada Runtime Libraries
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
-Provides:       libgnarl-5-32bit = %{version}-%{release}
 Conflicts:      %selfconflict libgnarl-5-32bit
-Provides:       libgnat-5-32bit = %{version}-%{release}
 Conflicts:      %selfconflict libgnat-5-32bit
+Provides:       libgnarl-5-32bit = %{version}-%{release}
+Provides:       libgnat-5-32bit = %{version}-%{release}
 
 %description -n libada5-32bit
 This package contains the shared libraries required to run programs
@@ -895,14 +872,15 @@
 %post -n libada5-32bit -p /sbin/ldconfig
 
 %postun -n libada5-32bit -p /sbin/ldconfig
+
 %package -n libada5-64bit
 Summary:        GNU Ada Runtime Libraries
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
-Provides:       libgnarl-5-64bit = %{version}-%{release}
 Conflicts:      %selfconflict libgnarl-5-64bit
-Provides:       libgnat-5-64bit = %{version}-%{release}
 Conflicts:      %selfconflict libgnat-5-64bit
+Provides:       libgnarl-5-64bit = %{version}-%{release}
+Provides:       libgnat-5-64bit = %{version}-%{release}
 
 %description -n libada5-64bit
 This package contains the shared libraries required to run programs
@@ -923,12 +901,13 @@
 Requires:       gcc5 = %{version}-%{release}
 Requires:       gcc5-fortran = %{version}-%{release}
 Requires:       libgfortran%{libgfortran_sover} >= %{version}-%{release}
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 Requires:       libquadmath%{libquadmath_sover} >= %{version}-%{release}
 %endif
 
 %description fortran
 This is the Fortran compiler of the GNU Compiler Collection (GCC).
+
 %package fortran-32bit
 Summary:        The GNU Fortran Compiler and Support Files
 License:        GPL-3.0+
@@ -936,12 +915,13 @@
 Requires:       gcc5-32bit = %{version}-%{release}
 Requires:       gcc5-fortran = %{version}-%{release}
 Requires:       libgfortran%{libgfortran_sover}-32bit >= %{version}-%{release}
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 Requires:       libquadmath%{libquadmath_sover}-32bit >= %{version}-%{release}
 %endif
 
 %description fortran-32bit
 This is the Fortran compiler of the GNU Compiler Collection (GCC).
+
 %package fortran-64bit
 Summary:        The GNU Fortran Compiler and Support Files
 License:        GPL-3.0+
@@ -949,7 +929,7 @@
 Requires:       gcc5-64bit = %{version}-%{release}
 Requires:       gcc5-fortran = %{version}-%{release}
 Requires:       libgfortran%{libgfortran_sover}-64bit >= %{version}-%{release}
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 Requires:       libquadmath%{libquadmath_sover}-64bit >= %{version}-%{release}
 %endif
 
@@ -960,13 +940,13 @@
 Summary:        The GNU Fortran Compiler Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/Fortran
-%ifarch %quadmath_arch
-Requires:       libquadmath%{libquadmath_sover} >= %{version}-%{release}
-%endif
-Provides:       libgfortran%{libgfortran_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgfortran%{libgfortran_sover}
+Provides:       libgfortran%{libgfortran_sover} = %{version}-%{release}
+%ifarch %{quadmath_arch}
+Requires:       libquadmath%{libquadmath_sover} >= %{version}-%{release}
+%endif
 
 %description -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -975,17 +955,18 @@
 %post -n libgfortran%{libgfortran_sover}%{libgfortran_suffix} -p /sbin/ldconfig
 
 %postun -n libgfortran%{libgfortran_sover}%{libgfortran_suffix} -p /sbin/ldconfig
+
 %package -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-32bit
 Summary:        The GNU Fortran Compiler Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/Fortran
-%ifarch %quadmath_arch
-Requires:       libquadmath%{libquadmath_sover}-32bit >= %{version}-%{release}
-%endif
-Provides:       libgfortran%{libgfortran_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgfortran%{libgfortran_sover}-32bit
+Provides:       libgfortran%{libgfortran_sover}-32bit = %{version}-%{release}
+%ifarch %{quadmath_arch}
+Requires:       libquadmath%{libquadmath_sover}-32bit >= %{version}-%{release}
+%endif
 
 %description -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-32bit
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -994,17 +975,18 @@
 %post -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-64bit
 Summary:        The GNU Fortran Compiler Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/Fortran
-%ifarch %quadmath_arch
-Requires:       libquadmath%{libquadmath_sover}-64bit >= %{version}-%{release}
-%endif
-Provides:       libgfortran%{libgfortran_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgfortran%{libgfortran_sover}-64bit
+Provides:       libgfortran%{libgfortran_sover}-64bit = %{version}-%{release}
+%ifarch %{quadmath_arch}
+Requires:       libquadmath%{libquadmath_sover}-64bit >= %{version}-%{release}
+%endif
 
 %description -n libgfortran%{libgfortran_sover}%{libgfortran_suffix}-64bit
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -1018,10 +1000,10 @@
 Summary:        The GNU Fortran Compiler Quadmath Runtime Library
 License:        LGPL-2.1
 Group:          Development/Languages/Fortran
-Provides:       libquadmath%{libquadmath_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libquadmath%{libquadmath_sover}
+Provides:       libquadmath%{libquadmath_sover} = %{version}-%{release}
 
 %description -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -1031,14 +1013,15 @@
 %post -n libquadmath%{libquadmath_sover}%{libquadmath_suffix} -p /sbin/ldconfig
 
 %postun -n libquadmath%{libquadmath_sover}%{libquadmath_suffix} -p /sbin/ldconfig
+
 %package -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-32bit
 Summary:        The GNU Fortran Compiler Quadmath Runtime Library
 License:        LGPL-2.1
 Group:          Development/Languages/Fortran
-Provides:       libquadmath%{libquadmath_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libquadmath%{libquadmath_sover}-32bit
+Provides:       libquadmath%{libquadmath_sover}-32bit = %{version}-%{release}
 
 %description -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-32bit
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -1048,14 +1031,15 @@
 %post -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-64bit
 Summary:        The GNU Fortran Compiler Quadmath Runtime Library
 License:        LGPL-2.1
 Group:          Development/Languages/Fortran
-Provides:       libquadmath%{libquadmath_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libquadmath%{libquadmath_sover}-64bit
+Provides:       libquadmath%{libquadmath_sover}-64bit = %{version}-%{release}
 
 %description -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}-64bit
 The runtime library needed to run programs compiled with the Fortran compiler
@@ -1070,10 +1054,10 @@
 Summary:        The GNU Compiler Transactional Memory Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libitm%{libitm_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libitm%{libitm_sover}
+Provides:       libitm%{libitm_sover} = %{version}-%{release}
 
 %description -n libitm%{libitm_sover}%{libitm_suffix}
 The runtime library needed to run programs compiled with the
@@ -1082,14 +1066,15 @@
 %post -n libitm%{libitm_sover}%{libitm_suffix} -p /sbin/ldconfig
 
 %postun -n libitm%{libitm_sover}%{libitm_suffix} -p /sbin/ldconfig
+
 %package -n libitm%{libitm_sover}%{libitm_suffix}-32bit
 Summary:        The GNU Compiler Transactional Memory Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libitm%{libitm_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libitm%{libitm_sover}-32bit
+Provides:       libitm%{libitm_sover}-32bit = %{version}-%{release}
 
 %description -n libitm%{libitm_sover}%{libitm_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1098,14 +1083,15 @@
 %post -n libitm%{libitm_sover}%{libitm_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libitm%{libitm_sover}%{libitm_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libitm%{libitm_sover}%{libitm_suffix}-64bit
 Summary:        The GNU Compiler Transactional Memory Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libitm%{libitm_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libitm%{libitm_sover}-64bit
+Provides:       libitm%{libitm_sover}-64bit = %{version}-%{release}
 
 %description -n libitm%{libitm_sover}%{libitm_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1119,10 +1105,10 @@
 Summary:        The GNU Compiler Address Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libasan%{libasan_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libasan%{libasan_sover}
+Provides:       libasan%{libasan_sover} = %{version}-%{release}
 
 %description -n libasan%{libasan_sover}%{libasan_suffix}
 The runtime library needed to run programs compiled with the
@@ -1131,14 +1117,15 @@
 %post -n libasan%{libasan_sover}%{libasan_suffix} -p /sbin/ldconfig
 
 %postun -n libasan%{libasan_sover}%{libasan_suffix} -p /sbin/ldconfig
+
 %package -n libasan%{libasan_sover}%{libasan_suffix}-32bit
 Summary:        The GNU Compiler Address Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libasan%{libasan_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libasan%{libasan_sover}-32bit
+Provides:       libasan%{libasan_sover}-32bit = %{version}-%{release}
 
 %description -n libasan%{libasan_sover}%{libasan_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1147,14 +1134,15 @@
 %post -n libasan%{libasan_sover}%{libasan_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libasan%{libasan_sover}%{libasan_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libasan%{libasan_sover}%{libasan_suffix}-64bit
 Summary:        The GNU Compiler Address Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libasan%{libasan_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libasan%{libasan_sover}-64bit
+Provides:       libasan%{libasan_sover}-64bit = %{version}-%{release}
 
 %description -n libasan%{libasan_sover}%{libasan_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1168,10 +1156,10 @@
 Summary:        The GNU Compiler Thread Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libtsan%{libtsan_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libtsan%{libtsan_sover}
+Provides:       libtsan%{libtsan_sover} = %{version}-%{release}
 
 %description -n libtsan%{libtsan_sover}%{libtsan_suffix}
 The runtime library needed to run programs compiled with the
@@ -1180,14 +1168,15 @@
 %post -n libtsan%{libtsan_sover}%{libtsan_suffix} -p /sbin/ldconfig
 
 %postun -n libtsan%{libtsan_sover}%{libtsan_suffix} -p /sbin/ldconfig
+
 %package -n libtsan%{libtsan_sover}%{libtsan_suffix}-32bit
 Summary:        The GNU Compiler Thread Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libtsan%{libtsan_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libtsan%{libtsan_sover}-32bit
+Provides:       libtsan%{libtsan_sover}-32bit = %{version}-%{release}
 
 %description -n libtsan%{libtsan_sover}%{libtsan_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1196,14 +1185,15 @@
 %post -n libtsan%{libtsan_sover}%{libtsan_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libtsan%{libtsan_sover}%{libtsan_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libtsan%{libtsan_sover}%{libtsan_suffix}-64bit
 Summary:        The GNU Compiler Thread Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libtsan%{libtsan_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libtsan%{libtsan_sover}-64bit
+Provides:       libtsan%{libtsan_sover}-64bit = %{version}-%{release}
 
 %description -n libtsan%{libtsan_sover}%{libtsan_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1217,10 +1207,10 @@
 Summary:        The GNU Compiler Atomic Operations Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/C and C++
-Provides:       libatomic%{libatomic_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libatomic%{libatomic_sover}
+Provides:       libatomic%{libatomic_sover} = %{version}-%{release}
 
 %description -n libatomic%{libatomic_sover}%{libatomic_suffix}
 The runtime library for atomic operations of the GNU Compiler Collection (GCC).
@@ -1228,14 +1218,15 @@
 %post -n libatomic%{libatomic_sover}%{libatomic_suffix} -p /sbin/ldconfig
 
 %postun -n libatomic%{libatomic_sover}%{libatomic_suffix} -p /sbin/ldconfig
+
 %package -n libatomic%{libatomic_sover}%{libatomic_suffix}-32bit
 Summary:        The GNU Compiler Atomic Operations Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/C and C++
-Provides:       libatomic%{libatomic_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libatomic%{libatomic_sover}-32bit
+Provides:       libatomic%{libatomic_sover}-32bit = %{version}-%{release}
 
 %description -n libatomic%{libatomic_sover}%{libatomic_suffix}-32bit
 The runtime library for atomic operations of the GNU Compiler Collection (GCC).
@@ -1243,14 +1234,15 @@
 %post -n libatomic%{libatomic_sover}%{libatomic_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libatomic%{libatomic_sover}%{libatomic_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libatomic%{libatomic_sover}%{libatomic_suffix}-64bit
 Summary:        The GNU Compiler Atomic Operations Runtime Library
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Languages/C and C++
-Provides:       libatomic%{libatomic_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libatomic%{libatomic_sover}-64bit
+Provides:       libatomic%{libatomic_sover}-64bit = %{version}-%{release}
 
 %description -n libatomic%{libatomic_sover}%{libatomic_suffix}-64bit
 The runtime library for atomic operations of the GNU Compiler Collection (GCC).
@@ -1263,10 +1255,10 @@
 Summary:        The GNU Compiler Cilk+ Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libcilkrts%{libcilkrts_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libcilkrts%{libcilkrts_sover}
+Provides:       libcilkrts%{libcilkrts_sover} = %{version}-%{release}
 
 %description -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}
 The runtime library needed to run programs compiled with the
@@ -1275,14 +1267,15 @@
 %post -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix} -p /sbin/ldconfig
 
 %postun -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix} -p /sbin/ldconfig
+
 %package -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-32bit
 Summary:        The GNU Compiler Cilk+ Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libcilkrts%{libcilkrts_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libcilkrts%{libcilkrts_sover}-32bit
+Provides:       libcilkrts%{libcilkrts_sover}-32bit = %{version}-%{release}
 
 %description -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1291,14 +1284,15 @@
 %post -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-64bit
 Summary:        The GNU Compiler Cilk+ Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libcilkrts%{libcilkrts_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libcilkrts%{libcilkrts_sover}-64bit
+Provides:       libcilkrts%{libcilkrts_sover}-64bit = %{version}-%{release}
 
 %description -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1312,10 +1306,10 @@
 Summary:        The GNU Compiler Leak Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       liblsan%{liblsan_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict liblsan%{liblsan_sover}
+Provides:       liblsan%{liblsan_sover} = %{version}-%{release}
 
 %description -n liblsan%{liblsan_sover}%{liblsan_suffix}
 The runtime library needed to run programs compiled with the
@@ -1324,14 +1318,15 @@
 %post -n liblsan%{liblsan_sover}%{liblsan_suffix} -p /sbin/ldconfig
 
 %postun -n liblsan%{liblsan_sover}%{liblsan_suffix} -p /sbin/ldconfig
+
 %package -n liblsan%{liblsan_sover}%{liblsan_suffix}-32bit
 Summary:        The GNU Compiler Leak Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       liblsan%{liblsan_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict liblsan%{liblsan_sover}-32bit
+Provides:       liblsan%{liblsan_sover}-32bit = %{version}-%{release}
 
 %description -n liblsan%{liblsan_sover}%{liblsan_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1340,14 +1335,15 @@
 %post -n liblsan%{liblsan_sover}%{liblsan_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n liblsan%{liblsan_sover}%{liblsan_suffix}-32bit -p /sbin/ldconfig
+
 %package -n liblsan%{liblsan_sover}%{liblsan_suffix}-64bit
 Summary:        The GNU Compiler Leak Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       liblsan%{liblsan_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict liblsan%{liblsan_sover}-64bit
+Provides:       liblsan%{liblsan_sover}-64bit = %{version}-%{release}
 
 %description -n liblsan%{liblsan_sover}%{liblsan_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1361,10 +1357,10 @@
 Summary:        The GNU Compiler Undefined Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libubsan%{libubsan_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libubsan%{libubsan_sover}
+Provides:       libubsan%{libubsan_sover} = %{version}-%{release}
 
 %description -n libubsan%{libubsan_sover}%{libubsan_suffix}
 The runtime library needed to run programs compiled with the
@@ -1373,14 +1369,15 @@
 %post -n libubsan%{libubsan_sover}%{libubsan_suffix} -p /sbin/ldconfig
 
 %postun -n libubsan%{libubsan_sover}%{libubsan_suffix} -p /sbin/ldconfig
+
 %package -n libubsan%{libubsan_sover}%{libubsan_suffix}-32bit
 Summary:        The GNU Compiler Undefined Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libubsan%{libubsan_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libubsan%{libubsan_sover}-32bit
+Provides:       libubsan%{libubsan_sover}-32bit = %{version}-%{release}
 
 %description -n libubsan%{libubsan_sover}%{libubsan_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1389,14 +1386,15 @@
 %post -n libubsan%{libubsan_sover}%{libubsan_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libubsan%{libubsan_sover}%{libubsan_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libubsan%{libubsan_sover}%{libubsan_suffix}-64bit
 Summary:        The GNU Compiler Undefined Sanitizer Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libubsan%{libubsan_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libubsan%{libubsan_sover}-64bit
+Provides:       libubsan%{libubsan_sover}-64bit = %{version}-%{release}
 
 %description -n libubsan%{libubsan_sover}%{libubsan_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1410,10 +1408,10 @@
 Summary:        The GNU Compiler Vtable Verifier Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libvtv%{libvtv_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libvtv%{libvtv_sover}
+Provides:       libvtv%{libvtv_sover} = %{version}-%{release}
 
 %description -n libvtv%{libvtv_sover}%{libvtv_suffix}
 The runtime library needed to run programs compiled with the
@@ -1422,14 +1420,15 @@
 %post -n libvtv%{libvtv_sover}%{libvtv_suffix} -p /sbin/ldconfig
 
 %postun -n libvtv%{libvtv_sover}%{libvtv_suffix} -p /sbin/ldconfig
+
 %package -n libvtv%{libvtv_sover}%{libvtv_suffix}-32bit
 Summary:        The GNU Compiler Vtable Verifier Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libvtv%{libvtv_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libvtv%{libvtv_sover}-32bit
+Provides:       libvtv%{libvtv_sover}-32bit = %{version}-%{release}
 
 %description -n libvtv%{libvtv_sover}%{libvtv_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1438,14 +1437,15 @@
 %post -n libvtv%{libvtv_sover}%{libvtv_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libvtv%{libvtv_sover}%{libvtv_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libvtv%{libvtv_sover}%{libvtv_suffix}-64bit
 Summary:        The GNU Compiler Vtable Verifier Runtime Library
 License:        MIT
 Group:          Development/Languages/C and C++
-Provides:       libvtv%{libvtv_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libvtv%{libvtv_sover}-64bit
+Provides:       libvtv%{libvtv_sover}-64bit = %{version}-%{release}
 
 %description -n libvtv%{libvtv_sover}%{libvtv_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1459,10 +1459,10 @@
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpx%{libmpx_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpx%{libmpx_sover}
+Provides:       libmpx%{libmpx_sover} = %{version}-%{release}
 
 %description -n libmpx%{libmpx_sover}%{libmpx_suffix}
 The runtime library needed to run programs compiled with the
@@ -1471,14 +1471,15 @@
 %post -n libmpx%{libmpx_sover}%{libmpx_suffix} -p /sbin/ldconfig
 
 %postun -n libmpx%{libmpx_sover}%{libmpx_suffix} -p /sbin/ldconfig
+
 %package -n libmpx%{libmpx_sover}%{libmpx_suffix}-32bit
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpx%{libmpx_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpx%{libmpx_sover}-32bit
+Provides:       libmpx%{libmpx_sover}-32bit = %{version}-%{release}
 
 %description -n libmpx%{libmpx_sover}%{libmpx_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1487,14 +1488,15 @@
 %post -n libmpx%{libmpx_sover}%{libmpx_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libmpx%{libmpx_sover}%{libmpx_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libmpx%{libmpx_sover}%{libmpx_suffix}-64bit
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpx%{libmpx_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpx%{libmpx_sover}-64bit
+Provides:       libmpx%{libmpx_sover}-64bit = %{version}-%{release}
 
 %description -n libmpx%{libmpx_sover}%{libmpx_suffix}-64bit
 The runtime library needed to run programs compiled with the
@@ -1508,10 +1510,10 @@
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpxwrappers%{libmpxwrappers_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpxwrappers%{libmpxwrappers_sover}
+Provides:       libmpxwrappers%{libmpxwrappers_sover} = %{version}-%{release}
 
 %description -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}
 The runtime library needed to run programs compiled with the
@@ -1520,14 +1522,15 @@
 %post -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix} -p /sbin/ldconfig
 
 %postun -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix} -p /sbin/ldconfig
+
 %package -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-32bit
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpxwrappers%{libmpxwrappers_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpxwrappers%{libmpxwrappers_sover}-32bit
+Provides:       libmpxwrappers%{libmpxwrappers_sover}-32bit = %{version}-%{release}
 
 %description -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-32bit
 The runtime library needed to run programs compiled with the
@@ -1536,14 +1539,15 @@
 %post -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-64bit
 Summary:        The GNU Compiler MPX Runtime Library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libmpxwrappers%{libmpxwrappers_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libmpxwrappers%{libmpxwrappers_sover}-64bit
+Provides:       libmpxwrappers%{libmpxwrappers_sover}-64bit = %{version}-%{release}
 
 %description -n libmpxwrappers%{libmpxwrappers_sover}%{libmpxwrappers_suffix}-64bit
 The runtime library needed to run programs compiled with the
